OBJS=$(patsubst %cpp,%o,$(wildcard *.cpp))
OBJSD=$(patsubst %cpp,%d,$(wildcard *.cpp))

.SUFFIXES: .cpp

CC=g++
CFLAGS+=-std=c++11 -O3 -I../include -I../rtx_netlib -I../rtx_rtplib -I../rtx_stdlib -Wall -fmessage-length=0 -Wno-write-strings -Wno-delete-non-virtual-dtor -fPIC -MMD -MP
CPPFLAGS=

.cpp.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

# All Target
all: librtx_codec_audio_g711.so

# Tool invocations
librtx_codec_audio_g711.so: $(OBJS) $(USER_OBJS)
	$(CC) -L../rtx_netlib -L../rtx_rtplib -L../rtx_stdlib -L../rtx_media_tools \
	-pthread -Wl,--no-as-needed -ldl -shared -o $@ $(OBJS) $(USER_OBJS) $(LIBS) \
	-lrtx_rtplib -lrtx_netlib -lrtx_stdlib -lrtx_media_tools

# Other Targets
clean:
	-$(RM) $(LIBRARIES) $(CC_DEPS) $(C++_DEPS) $(C_UPPER_DEPS) $(CXX_DEPS) $(OBJS) $(OBJSD) $(CPP_DEPS) $(C_DEPS) librtx_codec_audio_g711.so
	-@echo ' '

.PHONY: all clean dependents
